IllegalArgumentException解决


最近经常性搞一些老项目,老技术,算是了解经典了
那么在这个过程中经常会出现版本不匹配的问题

例如这次,我电脑上的jdk是1.8的
练习的技术使用的是1.7的,虽无明显报错
但是无法正常执行

启动过程一直报IllegalArgumentException

解决办法,重装jdk1.7

为了不走弯路,希望大家在开发过程中一定不要偷懒,看清楚环境要求